<?php

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

include dirname(__FILE__, 2) . '/vendor/autoload.php';

use Devurai\AcceptbluePaymentPro\Bootstrap;

if(!function_exists('pgabfw_acceptblue_payment_pro_init')) {

    function pgabfw_pro_assets_url($path): string
    {
        return plugin_dir_url(__FILE__) . 'assets/' . $path;
    }

    function pgabfw_pro_root_url($path): string
    {
        return plugin_dir_url(__FILE__) . $path;
    }

    function pgabfw_pro_get_root(){
        return plugin_dir_path(__FILE__);
    }
    function pgabfw_acceptblue_payment_pro_init(): void
    {
        new Bootstrap();
    }

    pgabfw_acceptblue_payment_pro_init();
}